;
; AutoHotkey Version: 1.x
; Language:       English
; Platform:       Win9x/NT
; Author:         Jack Dunning
; InstantHotkey.ahk
; Script Function:
;	This demonstration script uses the Hotkey GUI control to create Hotkeys
;       for text insertion on-the-fly. Load multiple times for multiple Instant
;       Hotkeys. To load from another script use the compiled version (EXE) with
;       the AutoHotkey Run command. This version will not easily integrate with
;       other scripts. For that see InstantHotkeyTwoDeep or InstantHotkeyArray.

#NoEnv  ; Recommended for performance and compatibility with future AutoHotkey releases.
SendMode Input  ; Recommended for new scripts due to its superior speed and reliability.
SetWorkingDir %A_ScriptDir%  ; Ensures a consistent starting directory.

#SingleInstance off
Gui, Add, Text,, Enter Hotkeys (ALT, SHIFT, and/or CTRL plus Key)
Gui, Add, Hotkey, vKeyCombo ys Limit1
Gui, Add, Edit, w400 vTextInsert xs, <Enter Hotkey Text>
Gui, Add, Button, gSetupKey, Set Key Combo
Gui, Show, , Instant Hotkey
Menu, Tray, Add, Show Hotkey, ShowHotkey
Menu, Tray, Add, Add Text, TrayTextAdd
Return


SetupKey:
Gui, Submit
If OldHotkey !=
    Hotkey, %OldHotkey%, Off
If KeyCombo !=
    Hotkey, %KeyCombo%, TextAdd, On
Else
    ExitApp
Menu, Tray, Tip, %KeyCombo% %TextInsert%
OldHotkey := KeyCombo
Return

TrayTextAdd:
 SendInput, !{Escape}
 SendRaw, %TextInsert%
Return

TextAdd:
 SendRaw, %TextInsert%
Return

ShowHotkey:
Gui,Show
Return

